Subject: Re: bridge-utils: wrong sysfs path odds

From: Florian Fainelli <[email-masked]>
Date: Wed, 25 Nov 2015 14:38:44 -0800

On 25/11/15 01:21, Richard Weinberger wrote:
> Am 25.11.2015 um 01:37 schrieb Stephen Hemminger:
>> On Wed, 25 Nov 2015 01:24:47 +0100
>> Richard Weinberger <[email-masked]> wrote:
>>
>>> Am 25.11.2015 um 01:15 schrieb Richard Weinberger:
>>>> Hi!
>>>>
>>>> Today I was hunting down an issue where "brctl stp br0 off"
>>>> always failed on mips64be with n32 userland.
>>>>
>>>> It turned out that the ioctl(fd, SIOCDEVPRIVATE, &ifr) with BRCTL_SET_BRIDGE_STP_STATE
>>>> returned -EOPNOTSUPP.
>>>> First I thought that this is a plain ABI issue on mips as in old_dev_ioctl()
>>>> the ioctl() argument was 0x1 instead of the expected BRCTL_SET_BRIDGE_STP_STATE (0x14)
>>>
>>> Should be 0xe and not 0x14. It is 14 in decimal. :)
>>>
>>> Thanks,
>>> //richard
>>
>> Ask Debian maintainer to send his patches, I don't go patch hunting.
>>
> 
> While looking what other distros do I came across this patch:
> https://pkgs.fedoraproject.org/cgit/bridge-utils.git/tree/bridge-utils-1.5-check-error-returns-from-write-to-sysfs.patch
> 
> Beside of checking return errors is fixes also the sysfs path in br_set().
> Can you please merge it upstream?
> 
> Distros seems to carry more patches for that package, if it helps I can do the patch hunting for you.
> It would be nice to have a recent bridge-utils release. The last one is from 2011.

Most of what bridge-utils does can be done by iproute2's bridge
sub-command FWIW.
-- 
Florian